/* Generated by Together */

#ifndef NAMEVALUE_H
#define NAMEVALUE_H
#include "String.h"

class NameValue {
public:

	NameValue(const String &str,const int v) : str_(str), value_(v){}

    NameValue(const NameValue & X) { }

	virtual ~NameValue(){str_.~String();}
/*
    bool operator != (const NameValue & X) const;

    bool operator < (const NameValue & X, const NameValue & Y) const;

    bool operator == (const NameValue & X) const;

    NameValue & operator = (const NameValue & X);
*/
    String  str_;
    int     value_;
public:

};

#endif //NAMEVALUE_H
